Lire la répartition des participations par identifiant de contact
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}État du participant
Retrieve participants by contact identifier
Lire les participations d’un contact par identifiant, e-mail ou identifiant interne.
GET
/
marketing
/
v3
/
marketing-events
/
participations
/
contacts
/
{contactIdentifier}
/
breakdown
Lire la répartition des participations par identifiant de contact
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/marketing/v3/marketing-events/participations/contacts/{contactIdentifier}/breakdown")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L'identifiant du contact. Cela peut être l'e-mail ou l'identifiant interne.
Paramètres de requête
Le curseur indiquant la position du dernier élément récupéré.
La limite de taille de la réponse. La valeur par défaut est 10, le nombre maximal est 100.
La valeur de l'état de participation : INSCRIT, ANNULÉ, PARTICIPÉ, NO_SHOW
Réponse
successful operation
Dernière modification le 1 avril 2026